{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "andra28/console-cad"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#console-CAD.cwl/input-file"
                }
            ],
            "id": "#console-CAD.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output/pak.dat"
                    },
                    "id": "#console-CAD.cwl/dat"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "andra28/pak"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#pak.cwl/dat"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*.VTK",
                        "outputEval": "${ self.forEach(out => out.basename = out.basename.split(\".\")[0]+\".vtk\"); return self;}"
                    },
                    "id": "#pak.cwl/vtks"
                }
            ],
            "id": "#pak.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/input-file"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/pak/vtks",
                    "id": "#main/res"
                }
            ],
            "steps": [
                {
                    "run": "#console-CAD.cwl",
                    "in": [
                        {
                            "source": "#main/input-file",
                            "id": "#main/console-cad/input-file"
                        }
                    ],
                    "out": [
                        "#main/console-cad/dat"
                    ],
                    "id": "#main/console-cad"
                },
                {
                    "run": "#pak.cwl",
                    "in": [
                        {
                            "source": "#main/console-cad/dat",
                            "id": "#main/pak/dat"
                        }
                    ],
                    "out": [
                        "#main/pak/vtks"
                    ],
                    "id": "#main/pak"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
